package com.ruoyi.base.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.base.mapper.RobotOpsVisitorRecordMapper;
import com.ruoyi.base.domain.RobotOpsVisitorRecord;
import com.ruoyi.base.service.IRobotOpsVisitorRecordService;

/**
 * 访客登记记录Service业务层处理
 *
 * @author ruoyi
 * @date 2026-04-30
 */
@Service
public class RobotOpsVisitorRecordServiceImpl implements IRobotOpsVisitorRecordService
{
    @Autowired
    private RobotOpsVisitorRecordMapper robotOpsVisitorRecordMapper;

    /**
     * 查询访客登记记录
     *
     * @param id 访客登记记录主键
     * @return 访客登记记录
     */
    @Override
    public RobotOpsVisitorRecord selectRobotOpsVisitorRecordById(Long id)
    {
        return robotOpsVisitorRecordMapper.selectRobotOpsVisitorRecordById(id);
    }

    /**
     * 查询访客登记记录列表
     *
     * @param robotOpsVisitorRecord 访客登记记录
     * @return 访客登记记录
     */
    @Override
    public List<RobotOpsVisitorRecord> selectRobotOpsVisitorRecordList(RobotOpsVisitorRecord robotOpsVisitorRecord)
    {
        return robotOpsVisitorRecordMapper.selectRobotOpsVisitorRecordList(robotOpsVisitorRecord);
    }

    /**
     * 新增访客登记记录
     *
     * @param robotOpsVisitorRecord 访客登记记录
     * @return 结果
     */
    @Override
    public int insertRobotOpsVisitorRecord(RobotOpsVisitorRecord robotOpsVisitorRecord)
    {
        robotOpsVisitorRecord.setCreateTime(DateUtils.getNowDate());
        return robotOpsVisitorRecordMapper.insertRobotOpsVisitorRecord(robotOpsVisitorRecord);
    }

    /**
     * 修改访客登记记录
     *
     * @param robotOpsVisitorRecord 访客登记记录
     * @return 结果
     */
    @Override
    public int updateRobotOpsVisitorRecord(RobotOpsVisitorRecord robotOpsVisitorRecord)
    {
        robotOpsVisitorRecord.setUpdateTime(DateUtils.getNowDate());
        return robotOpsVisitorRecordMapper.updateRobotOpsVisitorRecord(robotOpsVisitorRecord);
    }

    /**
     * 批量删除访客登记记录
     *
     * @param ids 需要删除的访客登记记录主键
     * @return 结果
     */
    @Override
    public int deleteRobotOpsVisitorRecordByIds(Long[] ids)
    {
        return robotOpsVisitorRecordMapper.deleteRobotOpsVisitorRecordByIds(ids);
    }

    /**
     * 删除访客登记记录信息
     *
     * @param id 访客登记记录主键
     * @return 结果
     */
    @Override
    public int deleteRobotOpsVisitorRecordById(Long id)
    {
        return robotOpsVisitorRecordMapper.deleteRobotOpsVisitorRecordById(id);
    }
}
